Subject: Re: [PATCH 4/4] quota: simplify the quotactl compat handling

From: Al Viro <[email-masked]>
Date: Tue, 28 Jul 2020 02:49:45 +0100

On Mon, Jul 27, 2020 at 11:31:58PM +0200, Jan Kara wrote:
> On Mon 27-07-20 16:56:16, Al Viro wrote:
> > On Mon, Jul 27, 2020 at 02:41:27PM +0200, Jan Kara wrote:
> > > On Sun 26-07-20 18:04:01, Christoph Hellwig wrote:
> > > > Fold the misaligned u64 workarounds into the main quotactl flow instead
> > > > of implementing a separate compat syscall handler.
> > > > 
> > > > Signed-off-by: Christoph Hellwig <[email-masked]>
> > > 
> > > The patch looks good to me and it saves a lot of boiler-plate code so feel
> > > free to add:
> > > 
> > > Acked-by: Jan Kara <[email-masked]>
> > 
> > Which tree do we put that through?  I can grab it into vfs.git, but IIRC usually
> > you put quota-related stuff through yours...
> 
> I can take it through quota tree as well but I thought it's not a great fit
> given the generic arch bits which this last patch depends on...

OK, into vfs.git it goes, then...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel